# $Revision: 1.22 $, $Date: 2007/02/12 22:09:23 $
Summary:	LiveIce Plugin for XMMS
Summary(pl.UTF-8):	Wtyczka LiveIce dla XMMS-a
Name:		xmms-effect-liveice
Version:	1.0.0
Release:	7
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://star.arm.ac.uk/~spm/software/liveice-xmms.tar.gz
# Source0-md5:	81d057e47044d05dc65e81dc0b5927e6
URL:		http://star.arm.ac.uk/~spm/software/liveice.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.0.0
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LiveIce XMMS is an effects plugin for XMMS which sends streams to
IceCast and provides a limited set of functions similar to those
provided by liveice but without half the hassle. LiveIce XMMS lacks
many of the features of the full version of LiveIce but provides the
main functions needed to stream from XMMS. Much of this simplicity
comes from the GUI which was designed by Peter from the XMMS team.

%description -l pl.UTF-8
LiveIce XMMS jest wtyczką dla XMMS-a, która wysyła strumienie po IceCast
i zapewnia ograniczony zestaw funkcji podobnych do tych, które daje
liveice. LiveIce XMMS nie ma wielu funkcji pełnej wersji liveice, ale
zawiera funkcje potrzebne do dostarczania strumienia z XMMS-a. Większość
funkcji jest dostępna z GUI zaprojektowanego przez Petera z zespołu
XMMS.

%prep
%setup -q -n LiveIce-%{version}
%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{xmms_effect_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-effect-liveice.spec,v $
Revision 1.22  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.20  2004/10/30 10:55:52  paladine
- unification, capitalization, better desc

Revision 1.19  2004/09/19 21:33:15  havner
- mass commit: rel up for amd64 rebuild

Revision 1.18  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.17  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/16 00:29:20  kloczek
- release 5,
- install plugin in system avalailbe xmms plugin depending path,
- remove .la file from %files (isn't neccessary).

Revision 1.14  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.13  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/03 12:45:30  kloczek
- release 4.

Revision 1.11  2002/08/26 08:27:45  qboosh
- GPL v2+

Revision 1.10  2002/08/26 07:28:26  kloczek
- release 3: License changed to GPL v2 and aded using new %doc.

Revision 1.9  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/30 10:10:10  qboosh
- BuildRequires: autoconf, automake, libtool
- pl translations

Revision 1.3  2001/09/30 01:02:20  blues
- release 2
- ac2.5 ready

Revision 1.2  2000/12/20 00:47:41  kloczek
- do not include in %files %%{_libdir}/xmms/Effect (this directory belongs
  to xmms),
- few cosmetics.

Revision 1.1  2000/12/20 00:13:50  waszi
- initial rpm release

Based on spec by Ryan Weaver <ryanw@infohwy.com>.
